# Uses of Enum Class
java.awt.Dialog.ModalExclusionType

Packages that use Dialog.ModalExclusionType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Dialog.ModalExclusionType in java.awt

Methods in java.awt that return Dialog.ModalExclusionType
Modifier and Type
Method
Description
`Dialog.ModalExclusionType`
Window.`getModalExclusionType()`
Returns the modal exclusion type of this window.
`static Dialog.ModalExclusionType`
Dialog.ModalExclusionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Dialog.ModalExclusionType[]`
Dialog.ModalExclusionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.awt with parameters of type Dialog.ModalExclusionType
Modifier and Type
Method
Description
`abstract boolean`
Toolkit.`isModalExclusionTypeSupported(Dialog.ModalExclusionType modalExclusionType)`
Returns whether the given modal exclusion type is supported by this toolkit.
`void`
Window.`setModalExclusionType(Dialog.ModalExclusionType exclusionType)`
Specifies the modal exclusion type for this window.